package com.ruoyi.web.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.domain.dto.employmentData.EmploymentDataEditRequest;
import com.ruoyi.web.domain.dto.employmentData.EmploymentDataQueryRequest;
import com.ruoyi.web.domain.dto.employmentData.EmploymentDataAddRequest;
import com.ruoyi.web.domain.entity.EmploymentData;


/**
 *
 */
public interface EmploymentDataService extends IService<EmploymentData> {
    Integer addEmploymentData(EmploymentDataAddRequest employmentDataAddRequest);

    boolean deleteEmploymentData(String ids);

    void editEmploymentData(EmploymentDataEditRequest employmentDataEditRequest);

    EmploymentData getEmploymentDataById(int id);

    Page<EmploymentData> getListEmploymentDataByPage(EmploymentDataQueryRequest employmentDataQueryRequest);
}
